Gem::Specification.new do |s|
  s.name = "cert-to-cwt"
  s.version = "0.0.4"
  s.summary = "Convert an X.509 cert into a CWT claim set"
  s.description = %q{cert-to-cwt is a highly experimental converter for X.509 certificates into CWT claim sets.}
  s.author = "Carsten Bormann"
  s.email = "cabo@tzi.org"
  s.license = "Apache-2.0"
  s.has_rdoc = false
  s.files = Dir['lib/**/*.rb'] + %w(cert-to-cwt.gemspec) + Dir['bin/**/*.rb']
  s.executables = Dir['bin/**/*.rb'].map {|x| File.basename(x)}
  s.required_ruby_version = '>= 2.3.1'

  s.require_paths = ["lib"]

  s.add_development_dependency 'bundler', '~>1'
  s.add_dependency 'cbor-diag'
  s.add_dependency 'asn1-diag', ">= 0.0.2"
end
